Jump to content
TCH-Dick

Beadle Php Upgrade

Recommended Posts

Per our recent announcement, this server will be receiving planned PHP upgrades this month. The exact date/time for the upgrades will be announced here at least 24 hours in advance and this thread will be updated as we progress.

 

The default version will be PHP 5.6 for all customers that dont currently have a specific version set.

 

We recommend clients keep their scripts up to date and review them for compatibility. Incompatibilities between PHP versions can be found via the URLs below:

http://php.net/manual/en/migration54.php

http://php.net/manual/en/migration55.php

http://php.net/manual/en/migration56.php

http://php.net/manual/en/migration70.php

 

Please note that the deprecated PHP version 5.3 will be removed entirely.

 

We thank you for choosing TotalChoice and our technical support team will be online to address any questions or concerns.

Share this post


Link to post
Share on other sites

I see that php 5.6 is going to have security updates until 31 Dec 2018. Any idea when we will no longer be able to use it on TCH? I have a couple of websites that appear to not function using php 7.0 and would like to be able to give my clients a time frame for when they will be forced into a redesign.

Thank you.

Share this post


Link to post
Share on other sites

I see that php 5.6 is going to have security updates until 31 Dec 2018. Any idea when we will no longer be able to use it on TCH?

 

The only date we can guarantee would be the "Security Support Until" date, however, 6 months beyond that is a safe assumption. We typically support versions beyond the EOL date and review for changes as needed. As long as a version does not prevent or interfere with our ability to maintain our servers, we will do our best to support it as long as possible.

Share this post


Link to post
Share on other sites

PHP upgrade is complete. If you are seeing issues with your site, please ensure that the scripts, themes, plugins etc are updated to the latest stable version and that they are compatible with the new PHP versions. If the problem persists, open a ticket to our help desk so that we can look into it.

Share this post


Link to post
Share on other sites

×